﻿using Syncfusion.Windows.Forms.Diagram;
using Syncfusion.Windows.Forms.Diagram.Controls;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PalatteAddingProgramatically
{
    public partial class Form1 : Form
    {
       
        public Form1()
        {
            InitializeComponent();
            diagram1.Dock = DockStyle.Fill;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Syncfusion.Windows.Forms.Diagram.Rectangle Rectangle = new Syncfusion.Windows.Forms.Diagram.Rectangle(100, 100, 100, 100);
            Rectangle.FillStyle.Color = Color.SkyBlue;
            Syncfusion.Windows.Forms.Diagram.Ellipse Ellipse = new Syncfusion.Windows.Forms.Diagram.Ellipse(200, 200, 100, 100);
            Ellipse.FillStyle.Color = Color.SeaGreen;

            //Creates a Symbols programmatically
            SymbolPalette symbol = new SymbolPalette();
            symbol.Name = "Symbol";
            symbol.AppendChild(Rectangle);
            symbol.AppendChild(Ellipse);

            //Creates a PaletteGroupBar programmatically
            PaletteGroupBar paletteBar = new PaletteGroupBar();
            paletteBar.Dock = DockStyle.Left;
            paletteBar.Font = new Font("Arial", 9);
            paletteBar.BorderStyle = BorderStyle.None;

            //Apply visual styles
            paletteBar.VisualStyle = Syncfusion.Windows.Forms.VisualStyle.Office2010;
            paletteBar.TextAlign = Syncfusion.Windows.Forms.Tools.TextAlignment.Left;

            paletteBar.ClientSize = new Size(200, 100);
            paletteBar.Collapsed = false;
            paletteBar.Enabled = true;
            paletteBar.Visible = true;            

            //Add symbols to palatte
            paletteBar.AddPalette(symbol);

            //Add paletteBar to the form
            this.diagram1.Controls.Add(paletteBar);
        }
    }
}
